package com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_RULE_MAPPLETINFO"
)
public class TCoreRuleMappletInfo extends TBaseEntity implements Serializable {
   private String mappletname;
   private String mappletenglishname;
   private String none;
   private Date creationtime;
   private String founder;
   private Date updatetime;
   private String modifier;

   public String getMappletname() {
      return this.mappletname;
   }

   public void setMappletname(String mappletname) {
      this.mappletname = mappletname;
   }

   public String getNone() {
      return this.none;
   }

   public void setNone(String none) {
      this.none = none;
   }

   public Date getCreationtime() {
      return this.creationtime;
   }

   public void setCreationtime(Date creationtime) {
      this.creationtime = creationtime;
   }

   public String getFounder() {
      return this.founder;
   }

   public void setFounder(String founder) {
      this.founder = founder;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getModifier() {
      return this.modifier;
   }

   public void setModifier(String modifier) {
      this.modifier = modifier;
   }

   public String getMappletenglishname() {
      return this.mappletenglishname;
   }

   public void setMappletenglishname(String mappletenglishname) {
      this.mappletenglishname = mappletenglishname;
   }
}
